Package org.apache.calcite.avatica.proto

## Class Common.Row.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>
      - - org.apache.calcite.avatica.proto.Common.Row.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.lang.Cloneable`, `Common.RowOrBuilder`

Enclosing class:
  Common.Row

    public static final class Common.Row.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>
    implements Common.RowOrBuilder

     A row is a collection of values

Protobuf type `Row`

### Field Summary

Fields
`private int` `bitField0_`
`private java.util.List<Common.ColumnValue>` `value_`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnValue,​Common.ColumnValue.Builder,​Common.ColumnValueOrBuilder>` `valueBuilder_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.Row.Builder` `addAllValue​(java.lang.Iterable<? extends Common.ColumnValue> values)` `repeated .ColumnValue value = 1;`
`Common.Row.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Common.Row.Builder` `addValue​(int index, Common.ColumnValue value)` `repeated .ColumnValue value = 1;`
`Common.Row.Builder` `addValue​(int index, Common.ColumnValue.Builder builderForValue)` `repeated .ColumnValue value = 1;`
`Common.Row.Builder` `addValue​(Common.ColumnValue value)` `repeated .ColumnValue value = 1;`
`Common.Row.Builder` `addValue​(Common.ColumnValue.Builder builderForValue)` `repeated .ColumnValue value = 1;`
`Common.ColumnValue.Builder` `addValueBuilder()` `repeated .ColumnValue value = 1;`
`Common.ColumnValue.Builder` `addValueBuilder​(int index)` `repeated .ColumnValue value = 1;`
`Common.Row` `build()`
`Common.Row` `buildPartial()`
`Common.Row.Builder` `clear()`
`Common.Row.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.Row.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.Row.Builder` `clearValue()` `repeated .ColumnValue value = 1;`
`Common.Row.Builder` `clone()`
`private void` `ensureValueIsMutable()`
`Common.Row` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Common.ColumnValue` `getValue​(int index)` `repeated .ColumnValue value = 1;`
`Common.ColumnValue.Builder` `getValueBuilder​(int index)` `repeated .ColumnValue value = 1;`
`java.util.List<Common.ColumnValue.Builder>` `getValueBuilderList()` `repeated .ColumnValue value = 1;`
`int` `getValueCount()` `repeated .ColumnValue value = 1;`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnValue,​Common.ColumnValue.Builder,​Common.ColumnValueOrBuilder>` `getValueFieldBuilder()`
`java.util.List<Common.ColumnValue>` `getValueList()` `repeated .ColumnValue value = 1;`
`Common.ColumnValueOrBuilder` `getValueOrBuilder​(int index)` `repeated .ColumnValue value = 1;`
`java.util.List<? extends Common.ColumnValueOrBuilder>` `getValueOrBuilderList()` `repeated .ColumnValue value = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.Row.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.Row.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`Common.Row.Builder` `mergeFrom​(Common.Row other)`
`Common.Row.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.Row.Builder` `removeValue​(int index)` `repeated .ColumnValue value = 1;`
`Common.Row.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Common.Row.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)`
`Common.Row.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.Row.Builder` `setValue​(int index, Common.ColumnValue value)` `repeated .ColumnValue value = 1;`
`Common.Row.Builder` `setValue​(int index, Common.ColumnValue.Builder builderForValue)` `repeated .ColumnValue value = 1;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Field Detail

#### bitField0_

    private int bitField0_

#### value_

    private java.util.List<Common.ColumnValue> value_

#### valueBuilder_

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnValue,​Common.ColumnValue.Builder,​Common.ColumnValueOrBuilder> valueBuilder_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.Row.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`

#### getDefaultInstanceForType

    public Common.Row getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.Row build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.Row buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.Row.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`

#### setField

    public Common.Row.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                       java.lang.Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`

#### clearField

    public Common.Row.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`

#### clearOneof

    public Common.Row.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`

#### setRepeatedField

    public Common.Row.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               int index,
                                               java.lang.Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`

#### addRepeatedField

    public Common.Row.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               java.lang.Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`

#### mergeFrom

    public Common.Row.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.Row.Builder>`

#### mergeFrom

    public Common.Row.Builder mergeFrom​(Common.Row other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`

#### mergeFrom

    public Common.Row.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                 throws java.io.IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.Row.Builder>`
Throws:
  `java.io.IOException`

#### ensureValueIsMutable

    private void ensureValueIsMutable()

#### getValueList

    public java.util.List<Common.ColumnValue> getValueList()

`repeated .ColumnValue value = 1;`

Specified by:
  `getValueList` in interface `Common.RowOrBuilder`

#### getValueCount

    public int getValueCount()

`repeated .ColumnValue value = 1;`

Specified by:
  `getValueCount` in interface `Common.RowOrBuilder`

#### getValue

    public Common.ColumnValue getValue​(int index)

`repeated .ColumnValue value = 1;`

Specified by:
  `getValue` in interface `Common.RowOrBuilder`

#### setValue

    public Common.Row.Builder setValue​(int index,
                                       Common.ColumnValue value)

`repeated .ColumnValue value = 1;`

#### setValue

    public Common.Row.Builder setValue​(int index,
                                       Common.ColumnValue.Builder builderForValue)

`repeated .ColumnValue value = 1;`

#### addValue

    public Common.Row.Builder addValue​(Common.ColumnValue value)

`repeated .ColumnValue value = 1;`

#### addValue

    public Common.Row.Builder addValue​(int index,
                                       Common.ColumnValue value)

`repeated .ColumnValue value = 1;`

#### addValue

    public Common.Row.Builder addValue​(Common.ColumnValue.Builder builderForValue)

`repeated .ColumnValue value = 1;`

#### addValue

    public Common.Row.Builder addValue​(int index,
                                       Common.ColumnValue.Builder builderForValue)

`repeated .ColumnValue value = 1;`

#### addAllValue

    public Common.Row.Builder addAllValue​(java.lang.Iterable<? extends Common.ColumnValue> values)

`repeated .ColumnValue value = 1;`

#### clearValue

    public Common.Row.Builder clearValue()

`repeated .ColumnValue value = 1;`

#### removeValue

    public Common.Row.Builder removeValue​(int index)

`repeated .ColumnValue value = 1;`

#### getValueBuilder

    public Common.ColumnValue.Builder getValueBuilder​(int index)

`repeated .ColumnValue value = 1;`

#### getValueOrBuilder

    public Common.ColumnValueOrBuilder getValueOrBuilder​(int index)

`repeated .ColumnValue value = 1;`

Specified by:
  `getValueOrBuilder` in interface `Common.RowOrBuilder`

#### getValueOrBuilderList

    public java.util.List<? extends Common.ColumnValueOrBuilder> getValueOrBuilderList()

`repeated .ColumnValue value = 1;`

Specified by:
  `getValueOrBuilderList` in interface `Common.RowOrBuilder`

#### addValueBuilder

    public Common.ColumnValue.Builder addValueBuilder()

`repeated .ColumnValue value = 1;`

#### addValueBuilder

    public Common.ColumnValue.Builder addValueBuilder​(int index)

`repeated .ColumnValue value = 1;`

#### getValueBuilderList

    public java.util.List<Common.ColumnValue.Builder> getValueBuilderList()

`repeated .ColumnValue value = 1;`

#### getValueFieldBuilder

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnValue,​Common.ColumnValue.Builder,​Common.ColumnValueOrBuilder> getValueFieldBuilder()

#### setUnknownFields

    public final Common.Row.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`

#### mergeUnknownFields

    public final Common.Row.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Row.Builder>`